#!/usr/bin/env node

const fs = require("fs")
const { resolve } = require("path")
const { load } = require("js-yaml")

const ymlPath = resolve(__dirname, "../src/i18n/texts.yml")
const json = load(fs.readFileSync(ymlPath, "utf-8"))

const dtsPath = ymlPath + ".d.ts"
fs.writeFileSync(
  dtsPath,
  `type Translation = Record<string, string>;
declare const exportee: {
  ${Object.keys(json)
    .map(x => `${x}: Translation;`)
    .join("\n  ")}
};
export default exportee;
`
)
