import styled from "@emotion/styled"
import type { Item } from "opvault.js"
import { useTranslate } from "../i18n"

const Container = styled.div`
  text-align: center;
  font-size: 90%;
  line-height: 1.5em;
  opacity: 0.5;
`

export const ItemDates: React.FC<{ item: Item }> = ({ item }) => {
  const t = useTranslate()
  return (
    <Container>
      <div>
        {t.label_last_updated}: {new Date(item.updatedAt).toLocaleString()}
      </div>
      <div>
        {t.label_created_at}: {new Date(item.createdAt).toLocaleString()}
      </div>
    </Container>
  )
}
