import { useCallback } from "react"
import { useTranslate } from "../i18n"

export const VaultPicker: React.FC<{
  setHandle(handle: FileSystemDirectoryHandle): void
}> = ({ setHandle }) => {
  const t = useTranslate()

  const onClick = useCallback(async () => {
    try {
      const handle = await showDirectoryPicker()
      setHandle(handle)
    } catch (e) {
      if ((e as Error).name === "AbortError") {
        return
      }
      alert(e)
    }
  }, [setHandle])

  return <button onClick={onClick}>{t.label_choose_a_vault}</button>
}
