import styled from "@emotion/styled"
import { VaultPicker } from "../components/VaultPicker"
import { useTranslate } from "../i18n"

const Container = styled.div`
  padding: 100px;
  text-align: center;
`
const Info = styled.div`
  margin: 10px;
`

export const PickOPVault: React.FC<{
  setHandle(handle: FileSystemDirectoryHandle): void
}> = ({ setHandle }) => {
  const t = useTranslate()
  return (
    <Container>
      <VaultPicker setHandle={setHandle} />
      <Info>{t.label_no_vault_selected}</Info>
    </Container>
  )
}
